Commit eded946a authored by Laurent Peuch's avatar Laurent Peuch
Browse files

chore: remove debian/fedora packaging

parent b3bf02ddfcc0
Pipeline #68903 waiting for manual action with stages
in 3 minutes and 47 seconds
......@@ -9,7 +9,6 @@ recursive-include test/data bootstrap_cubes *.py
include *.ini
exclude cubicweb-postgis.spec
prune debian
include README.rst
exclude .gitlab-ci.yml
exclude .yamllint
......
# for el5, force use of python2.6
%if 0%{?el5}
%define python python26
%define __python /usr/bin/python2.6
%else
%define python python
%define __python /usr/bin/python
%endif
%{!?_python_sitelib: %define _python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name: cubicweb-postgis
Version: 0.6.0
Release: logilab.1%{?dist}
Summary: Cube for GIS data support using PostGIS
Group: Applications/Internet
License: LGPL
Source0: cubicweb-postgis-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{python} %{python}-setuptools
Requires: cubicweb >= 3.24.0
Requires: python-cwtags >= 1.1.0
%description
Cube for GIS data support using PostGIS
%prep
%setup -q -n cubicweb-postgis-%{version}
%if 0%{?el5}
# change the python version in shebangs
find . -name '*.py' -type f -print0 | xargs -0 sed -i '1,3s;^#!.*python.*$;#! /usr/bin/python2.6;'
%endif
%install
%{__python} setup.py --quiet install --no-compile --prefix=%{_prefix} --root="$RPM_BUILD_ROOT"
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-, root, root)
%{_python_sitelib}/*
cubicweb-postgis (0.7.1-1) unstable; urgency=medium
* new upstream release
-- Nicola Spanti <nspanti@logilab.fr> Thu, 07 Jan 2021 15:05:31 +0100
cubicweb-postgis (0.7.0-2) unstable; urgency=medium
[ Philippe Pepiot ]
* Switch to 3.0 (quilt) format
* Use pybuild
* Introduce a python{,3}-cubicweb-postgis binary packages
-- Denis Laxalde <denis.laxalde@logilab.fr> Thu, 27 Jun 2019 18:11:50 +0200
cubicweb-postgis (0.7.0-1) unstable; urgency=medium
* New upstream release.
-- Denis Laxalde <denis.laxalde@logilab.fr> Thu, 21 Feb 2019 15:13:56 +0100
cubicweb-postgis (0.6.0-1) unstable; urgency=medium
* new upstream release
-- David Douard <david.douard@logilab.fr> Thu, 07 Sep 2017 16:40:53 +0200
cubicweb-postgis (0.5.0-1) unstable; urgency=medium
* new upstream release
-- Julien Cristau <julien.cristau@logilab.fr> Tue, 22 Mar 2016 16:38:14 +0100
cubicweb-postgis (0.4.0-1) unstable; urgency=medium
* new upstream release
-- Julien Cristau <julien.cristau@logilab.fr> Fri, 15 Jan 2016 17:36:13 +0100
cubicweb-postgis (0.3.1-1) unstable; urgency=medium
* New upstream release.
* Complete rules overhaul
-- Rémi Cardona <remi.cardona@logilab.fr> Mon, 23 Mar 2015 14:24:25 +0100
cubicweb-postgis (0.3.0-1) unstable; urgency=medium
* new upstream release
-- Alain Leufroy <alain.leufroy@logilab.fr> Mon, 03 Nov 2014 17:15:58 +0100
cubicweb-postgis (0.2.0-1) unstable; urgency=low
* new upstream release
-- Aurelien Campeas <aurelien.campeas@logilab.fr> Fri, 20 Dec 2013 12:57:27 +0100
cubicweb-postgis (0.1.0-1) unstable; urgency=low
* initial release
-- Rémi Cardona <remi.cardona@logilab.fr> Mon, 10 Jun 2013 19:16:33 +0200
Source: cubicweb-postgis
Section: web
Priority: optional
Maintainer: LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Build-Depends:
debhelper (>= 9),
dh-python,
python-all (>= 2.7),
python3-all (>= 3.4),
python-setuptools,
python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://www.cubicweb.org/project/cubicweb-postgis
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Package: cubicweb-postgis
Architecture: all
Depends:
python-cubicweb-postgis (= ${source:Version}),
${misc:Depends},
Description: Cube for GIS data support using PostGIS
CubicWeb is a semantic web application framework.
.
Cube for GIS data support using PostGIS
.
This package will install all the components you need to run the
cubicweb-postgis application (cube :)..
.
This is a dependency package for the Python2 library
Package: python-cubicweb-postgis
Architecture: all
Section: python
Depends:
${python:Depends},
${misc:Depends},
Replaces:
cubicweb-postgis (<< 0.7.0-2)
Breaks:
cubicweb-postgis (<< 0.7.0-2)
Description: Cube for GIS data support using PostGIS (Python 2)
CubicWeb is a semantic web application framework.
.
Cube for GIS data support using PostGIS
.
This package will install all the components you need to run the
cubicweb-postgis application (cube :)..
Package: python3-cubicweb-postgis
Architecture: all
Section: python
Depends:
${python3:Depends},
${misc:Depends},
Description: Cube for GIS data support using PostGIS (Python 3)
CubicWeb is a semantic web application framework.
.
Cube for GIS data support using PostGIS
.
This package will install all the components you need to run the
cubicweb-postgis application (cube :)..
Upstream Author:
LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Copyright:
Copyright (c) 2012 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr -- mailto:contact@logilab.fr
cubicweb python3-cubicweb
cubicweb python-cubicweb
#!/usr/bin/make -f
export PYBUILD_NAME=cubicweb-postgis
export PYBUILD_DISABLE=test
%:
dh $@ --with python2,python3 --buildsystem=pybuild
extend-diff-ignore = "(^[^/]*[.]egg-info/|.tox/|test/data/database/|dist/|cubicweb-postgis.spec)"
......@@ -44,24 +44,6 @@ commands =
twine check dist/*
twine upload --skip-existing dist/*
[testenv:deb-publish]
passenv = JENKINS_USER JENKINS_TOKEN
basepython = python3
skip_install = true
whitelist_externals =
rm
sh
hg
deps =
httpie
commands =
hg clean --all --dirs --files
rm -rf build dist .egg .egg-info
python3 setup.py sdist
sh -c "PACKAGE_NAME=$(python3 setup.py --name) && VERSION=$(python3 setup.py --version) && cd dist && tar xf $PACKAGE_NAME-$VERSION.tar.gz && cd $PACKAGE_NAME-$VERSION && cp -a {toxinidir}/debian . && mk-origtargz --rename ../$PACKAGE_NAME-$VERSION.tar.gz && dpkg-buildpackage -us -uc --no-check-builddeps --build=source "
sh -c "cd dist && dcmd zip latest.zip *.changes"
http -f POST https://{env:JENKINS_USER}:{env:JENKINS_TOKEN}@jenkins.intra.logilab.fr/job/pkg-from-dsc/buildWithParameters DIST=buster source.zip@dist/latest.zip REPO=buster PUBLISH=true
[testenv:yamllint]
skip_install = true
deps = yamllint
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment